### recycling_allocator< void >

A proto-allocator that caches memory blocks in thread-local storage for reuse.

    template<>
    class recycling_allocator< void >

##### Types

Name | Description
--- | ---
recycling_allocator< void >::rebind | Rebind the allocator to another value_type.
value_type | No values are allocated by a proto-allocator.

##### Member Functions

Name | Description
--- | ---
operator!= | Inequality operator. Always returns false.
operator== | Equality operator. Always returns true.
recycling_allocator | Default constructor. — Converting constructor.

The @recycling_allocator uses a simple strategy where a limited number of small memory blocks are cached in thread-local storage, if the current thread is running an `io_context` or is part of a `thread_pool`.

##### Requirements

Header: `asio/recycling_allocator.hpp`

Convenience header: `asio.hpp`